VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::privilege::ServiceInfo Class Reference

The `ServiceInfo` class contains privilege information of a service element. More...

List of all members.

## Public Member Functions
| ServiceInfo ()
| Creates a default new instance.
global::System.Collections.Generic.Dictionary < string, vmware.vapi.metadata.privilege.OperationInfo > | GetOperations ()
| Information about all operation elements contained in this service element that contain privilege information.
void | SetOperations (global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.privilege.OperationInfo > operations)
| Information about all operation elements contained in this service element that contain privilege information.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `ServiceInfo` class contains privilege information of a service element.

For an explanation of privilege information contained within service elements, see Service .

## Constructor & Destructor Documentation

vmware::vapi::metadata::privilege::ServiceInfo::ServiceInfo | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::privilege::ServiceInfo::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::privilege::ServiceInfo::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::privilege::ServiceInfo::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::privilege::ServiceInfo::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::privilege::ServiceInfo::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::privilege::ServiceInfo::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::privilege::ServiceInfo::GetHashCode | ( |  | ) | `[inline]`

global::System.Collections.Generic.Dictionary<string, vmware.vapi.metadata.privilege.OperationInfo> vmware::vapi::metadata::privilege::ServiceInfo::GetOperations | ( |  | ) | `[inline]`

Information about all operation elements contained in this service element that contain privilege information.

The key in the map is the identifier of the operation element and the value in the map is the privilege information for the operation element.

For an explanation of containment of privilege information within operation elements, see service.Operation . When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.operation` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.operation` .

void vmware::vapi::metadata::privilege::ServiceInfo::SetOperations | ( | global::System.Collections.Generic.Dictionary< string, vmware.vapi.metadata.privilege.OperationInfo > | operations | ) | `[inline]`

Information about all operation elements contained in this service element that contain privilege information.

The key in the map is the identifier of the operation element and the value in the map is the privilege information for the operation element.

For an explanation of containment of privilege information within operation elements, see service.Operation . When clients pass a value of this class as a parameter, the key in the field map must be an identifier for the resource type: `com.vmware.vapi.operation` . When methods return a value of this class as a result, the key in the field map will be an identifier for the resource type: `com.vmware.vapi.operation` .

override string vmware::vapi::metadata::privilege::ServiceInfo::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- privilege/ServiceInfo.cs